com.mockobjects.sql

## Class MockResultSetMetaData

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.sql.MockResultSetMetaData

- All Implemented Interfaces:
    Verifiable, java.sql.ResultSetMetaData, java.sql.Wrapper

      public class MockResultSetMetaData
      extends MockObject

  Minimal implementation of ResultSetMetaData for testing. Supports column count, column names, and column sql types.
  Version:
    $Revision: 1.2 $
  Author:
    Jeff Martin, Ted Husted
  See Also:
    javax.sql.ResultSetMetaData.

- - ### Field Summary

    - ### Fields inherited from interface java.sql.ResultSetMetaData

      `columnNoNulls, columnNullable, columnNullableUnknown`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockResultSetMetaData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExpectedColumnClassNameIndex(int aColumnIndex)` Adds an expectation for a column index to be passed to getColumnClassName
    `void` | `addExpectedColumnNameIndex(int aColumnIndex)` Adds an expectation for a column index to be passed to getColumnName
    `void` | `addExpectedColumnTypeIndex(int aColumnIndex)` Adds an expectation for a column index to be passed to getColumnType
    `java.lang.String` | `getCatalogName(int arg0)` Calls notImplemented.
    `java.lang.String` | `getColumnClassName(int aColumnIndex)` Returns the column class name.
    `int` | `getColumnCount()` Returns value passed to setupGetColumnCount.
    `int` | `getColumnDisplaySize(int arg0)` Calls notImplemented.
    `java.lang.String` | `getColumnLabel(int arg0)` Calls notImplemented.
    `java.lang.String` | `getColumnName(int aColumnIndex)` Returns the column name.
    `int` | `getColumnType(int aColumnIndex)` Returns the column SQL type.
    `java.lang.String` | `getColumnTypeName(int arg0)` Calls notImplemented.
    `int` | `getPrecision(int arg0)` Calls notImplemented.
    `int` | `getScale(int arg0)` Calls notImplemented.
    `java.lang.String` | `getSchemaName(int arg0)` Calls notImplemented.
    `java.lang.String` | `getTableName(int arg0)` Calls notImplemented.
    `boolean` | `isAutoIncrement(int arg0)` Calls notImplemented.
    `boolean` | `isCaseSensitive(int arg0)` Calls notImplemented.
    `boolean` | `isCurrency(int arg0)` Calls notImplemented.
    `boolean` | `isDefinitelyWritable(int arg0)` Calls notImplemented.
    `int` | `isNullable(int arg0)` Calls notImplemented.
    `boolean` | `isReadOnly(int arg0)` Calls notImplemented.
    `boolean` | `isSearchable(int arg0)` Calls notImplemented.
    `boolean` | `isSigned(int arg0)` Calls notImplemented.
    `boolean` | `isWritable(int arg0)` Calls notImplemented.
    `void` | `setupAddColumnClassName(java.lang.String aName)` The next column class name in the resultSet.
    `void` | `setupAddColumnClassNames(java.lang.String[] allNames)` An array of column class names in the order they appear in the resultSet.
    `void` | `setupAddColumnName(java.lang.String aName)` The next column name in the resultSet.
    `void` | `setupAddColumnNames(java.lang.String[] allNames)` An array of column names in the order they appear in the resultSet.
    `void` | `setupAddColumnType(int aType)` The next column's SQL type in the resultSet as an int.
    `void` | `setupAddColumnTypes(int[] allTypes)` An array of column SQL types in the order they appear in the resultSet.
    `void` | `setupGetColumnCount(int aColumnCount)` Value to return from getColumnCount.

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### MockResultSetMetaData

          public MockResultSetMetaData()

  - ### Method Detail

    - #### setupGetColumnCount

          public void setupGetColumnCount(int aColumnCount)

      Value to return from getColumnCount.

    - #### setupAddColumnNames

          public void setupAddColumnNames(java.lang.String[] allNames)

      An array of column names in the order they appear in the resultSet.

    - #### setupAddColumnName

          public void setupAddColumnName(java.lang.String aName)

      The next column name in the resultSet.

    - #### setupAddColumnTypes

          public void setupAddColumnTypes(int[] allTypes)

      An array of column SQL types in the order they appear in the resultSet.

    - #### setupAddColumnType

          public void setupAddColumnType(int aType)

      The next column's SQL type in the resultSet as an int.

    - #### getColumnCount

          public int getColumnCount()
                             throws java.sql.SQLException

      Returns value passed to setupGetColumnCount.
      Specified by:
        `getColumnCount` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getColumnCount()`

    - #### getColumnName

          public java.lang.String getColumnName(int aColumnIndex)
                                         throws java.sql.SQLException

      Returns the column name. DOES NOT SUPPORT THE aColumnIndex PARAMETER. You must call getColumnName in order, first to last. Column names may be added with setupAddColumnName. or setupAddColumnNames.
      Specified by:
        `getColumnName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getColumnName(int)`

    - #### addExpectedColumnNameIndex

          public void addExpectedColumnNameIndex(int aColumnIndex)

      Adds an expectation for a column index to be passed to getColumnName
      See Also:
        `CommonMockResultSetMetaData.getColumnName(int)`

    - #### getColumnType

          public int getColumnType(int aColumnIndex)
                            throws java.sql.SQLException

      Returns the column SQL type. DOES NOT SUPPORT THE aColumnIndex PARAMETER. You must call getColumnType in order, first to last. Column SQL types may be added with setupAddColumnType.
      Specified by:
        `getColumnType` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getColumnType(int)`

    - #### addExpectedColumnTypeIndex

          public void addExpectedColumnTypeIndex(int aColumnIndex)

      Adds an expectation for a column index to be passed to getColumnType
      See Also:
        `CommonMockResultSetMetaData.getColumnType(int)`

    - #### isAutoIncrement

          public boolean isAutoIncrement(int arg0)
                                  throws java.sql.SQLException

      Calls notImplemented. Returns false.
      Specified by:
        `isAutoIncrement` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.isAutoIncrement(int)`

    - #### isCaseSensitive

          public boolean isCaseSensitive(int arg0)
                                  throws java.sql.SQLException

      Calls notImplemented. Returns false.
      Specified by:
        `isCaseSensitive` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.isCaseSensitive(int)`

    - #### isSearchable

          public boolean isSearchable(int arg0)
                               throws java.sql.SQLException

      Calls notImplemented. Returns false.
      Specified by:
        `isSearchable` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.isSearchable(int)`

    - #### isCurrency

          public boolean isCurrency(int arg0)
                             throws java.sql.SQLException

      Calls notImplemented. Returns false.
      Specified by:
        `isCurrency` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.isCurrency(int)`

    - #### isNullable

          public int isNullable(int arg0)
                         throws java.sql.SQLException

      Calls notImplemented. Returns false.
      Specified by:
        `isNullable` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.isNullable(int)`

    - #### isSigned

          public boolean isSigned(int arg0)
                           throws java.sql.SQLException

      Calls notImplemented. Returns false.
      Specified by:
        `isSigned` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.isSigned(int)`

    - #### getColumnDisplaySize

          public int getColumnDisplaySize(int arg0)
                                   throws java.sql.SQLException

      Calls notImplemented. Returns 0.
      Specified by:
        `getColumnDisplaySize` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getColumnDisplaySize(int)`

    - #### getColumnLabel

          public java.lang.String getColumnLabel(int arg0)
                                          throws java.sql.SQLException

      Calls notImplemented. Returns null.
      Specified by:
        `getColumnLabel` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getColumnLabel(int)`

    - #### getColumnTypeName

          public java.lang.String getColumnTypeName(int arg0)
                                             throws java.sql.SQLException

      Calls notImplemented. Returns null.
      Specified by:
        `getColumnTypeName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getColumnTypeName(int)`

    - #### getSchemaName

          public java.lang.String getSchemaName(int arg0)
                                         throws java.sql.SQLException

      Calls notImplemented. Returns null.
      Specified by:
        `getSchemaName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getSchemaName(int)`

    - #### getPrecision

          public int getPrecision(int arg0)
                           throws java.sql.SQLException

      Calls notImplemented. Returns 0.
      Specified by:
        `getPrecision` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getPrecision(int)`

    - #### getScale

          public int getScale(int arg0)
                       throws java.sql.SQLException

      Calls notImplemented. Returns 0.
      Specified by:
        `getScale` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getScale(int)`

    - #### getTableName

          public java.lang.String getTableName(int arg0)
                                        throws java.sql.SQLException

      Calls notImplemented. Returns null.
      Specified by:
        `getTableName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getTableName(int)`

    - #### getCatalogName

          public java.lang.String getCatalogName(int arg0)
                                          throws java.sql.SQLException

      Calls notImplemented. Returns null.
      Specified by:
        `getCatalogName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getCatalogName(int)`

    - #### isReadOnly

          public boolean isReadOnly(int arg0)
                             throws java.sql.SQLException

      Calls notImplemented. Returns false.
      Specified by:
        `isReadOnly` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.isReadOnly(int)`

    - #### isWritable

          public boolean isWritable(int arg0)
                             throws java.sql.SQLException

      Calls notImplemented. Returns false.
      Specified by:
        `isWritable` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.isWritable(int)`

    - #### isDefinitelyWritable

          public boolean isDefinitelyWritable(int arg0)
                                       throws java.sql.SQLException

      Calls notImplemented. Returns false.
      Specified by:
        `isDefinitelyWritable` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.isDefinitelyWritable(int)`

    - #### setupAddColumnClassNames

          public void setupAddColumnClassNames(java.lang.String[] allNames)

      An array of column class names in the order they appear in the resultSet.

    - #### setupAddColumnClassName

          public void setupAddColumnClassName(java.lang.String aName)

      The next column class name in the resultSet.

    - #### getColumnClassName

          public java.lang.String getColumnClassName(int aColumnIndex)
                                              throws java.sql.SQLException

      Returns the column class name. DOES NOT SUPPORT THE aColumnIndex PARAMETER. You must call getColumnClassName in order, first to last. Column class names may be added with setupAddColumnClassName. or setupAddColumnClassNames.
      Specified by:
        `getColumnClassName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`
      See Also:
        `ResultSetMetaData.getColumnClassName(int)`

    - #### addExpectedColumnClassNameIndex

          public void addExpectedColumnClassNameIndex(int aColumnIndex)

      Adds an expectation for a column index to be passed to getColumnClassName
      See Also:
        `CommonMockResultSetMetaData.getColumnClassName(int)`

Copyright © 2002 Mock Objects. All Rights Reserved.